        subroutine STARTG
      include 'SIZE.INC'
      include 'GLOBAL.INC'
      include 'LOCAL.INC'
      include 'UNITS.INC'
      include 'LOCAL1.INC'
      include 'LOCAL2.INC'
      IFLAG = 1
      if (MODEG.gt.0.and.MODEG.le.NMODE) go to 100
      write (TTYOUT(MACHNO),5000) MODEG
      IFLAG = 8
      go to 130
5000  format (1X,'This version of EXAMS does not have an operating'/1X,'
     &MODE of ',I5,'.  The RUN has been aborted.')
100   continue
      if (KCHEM.le.NCHEM.and.KCHEM.gt.0) go to 110
      if (KCHEM.gt.0) write (TTYOUT(MACHNO),5010) NCHEM
5010  format (1X,'This version of EXAMS was set up for ',I5,' chemicals 
     &at most.')
      write (TTYOUT(MACHNO),5020) KCHEM
5020  format (1X,'The RUN request for',I5,' chemicals',' has been cancel
     &led.')
      IFLAG = 8
      go to 130
110   continue
      if (KOUNT.le.NPX.and.KOUNT.gt.0) go to 120
      if (KOUNT.gt.0) write (TTYOUT(MACHNO),5030) NPX
5030  format (1X,'This version of EXAMS was set up for',I5,' segments at
     & most.')
      write (TTYOUT(MACHNO),5040) KOUNT
5040  format (1X,'The RUN request for a',I5,' segment model has',' been 
     &cancelled.')
      IFLAG = 8
      go to 130
120   continue
130   continue
      return
      end
